<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        .router-link-active {
            background-color: green;
        }
    </style>
</head>
<body>
    <div id="app">
            <h1>hello router</h1>
            <router-link to="/page1">aller à page 1</router-link>
            <router-link to="/page2">aller à page 2</router-link>

            <router-view></router-view>
    </div>

    <script src="https://unpkg.com/vue@2.6.10/dist/vue.js"></script>
    <script src="https://unpkg.com/vue-router@3.0.2/dist/vue-router.js"></script>
    <script>
    const page1 = Vue.component('page1', { template: `<div>page 1</div>`});
    const page2 = Vue.component('page2', { template: `<div>page 2</div>`});
    const NotFound = Vue.component('NotFound', { template: `<div>not found :/</div>`});

    const router = new VueRouter({
        routes: [
            { path: '/page1', component: page1},
            { path: '/page2', component: page2},
            { path: '*', component: NotFound} 
        ]
    })


    const app = new Vue({
        el: "#app",
        router
    })
    </script>
</body>
</html>